package com.hwrj.cloud.admin.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

public class ZipkinSpans implements Serializable {
    @ApiModelProperty(value = "If non zero, this means the trace uses 128 bit traceIds instead of 64 bit")
    private Long traceIdHigh;

    private Long traceId;

    private Long id;

    private String name;

    private String remoteServiceName;

    private Long parentId;

    private Boolean debug;

    @ApiModelProperty(value = "Span.timestamp(): epoch micros used for endTs query and to implement TTL")
    private Long startTs;

    @ApiModelProperty(value = "Span.duration(): micros used for minDuration and maxDuration query")
    private Long duration;

    private static final long serialVersionUID = 1L;

    public Long getTraceIdHigh() {
        return traceIdHigh;
    }

    public void setTraceIdHigh(Long traceIdHigh) {
        this.traceIdHigh = traceIdHigh;
    }

    public Long getTraceId() {
        return traceId;
    }

    public void setTraceId(Long traceId) {
        this.traceId = traceId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemoteServiceName() {
        return remoteServiceName;
    }

    public void setRemoteServiceName(String remoteServiceName) {
        this.remoteServiceName = remoteServiceName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Boolean getDebug() {
        return debug;
    }

    public void setDebug(Boolean debug) {
        this.debug = debug;
    }

    public Long getStartTs() {
        return startTs;
    }

    public void setStartTs(Long startTs) {
        this.startTs = startTs;
    }

    public Long getDuration() {
        return duration;
    }

    public void setDuration(Long duration) {
        this.duration = duration;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", traceIdHigh=").append(traceIdHigh);
        sb.append(", traceId=").append(traceId);
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", remoteServiceName=").append(remoteServiceName);
        sb.append(", parentId=").append(parentId);
        sb.append(", debug=").append(debug);
        sb.append(", startTs=").append(startTs);
        sb.append(", duration=").append(duration);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}